SXACL-USERGETKEY(1)

NAME
sxacl-usergetkey - get key of a specific user

SYNOPSIS
sxacl usergetkey [OPTIONS] <username> sx://[profile@]cluster

DESCRIPTION
sxacl usergetkey retrieves an authentication key of a specific user. Only cluster administrators can retrieve users' keys.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-a, --auth-file=FILE
    Store authentication key in a given file (instead of printing it).

-C, --config-link
    When this option is enabled, sxacl will return a configuration link instead of an authentication key. The configuration link includes the key and can be used by other applications to automatically configure access to the SX server.

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-D, --debug
    Enable debug messages.

EXAMPLES
To obtain the key of the user 'joe' run:
sxacl usergetkey joe sx://admin@cluster

SEE ALSO
sxacl-usernewkey(1), sxacl-userlist(1), sxacl-useradd(1), sxacl-userdel(1)